Package org.eclipse.emf.compare.provider

# Class ExtendedItemProviderDecorator

java.lang.Object
org.eclipse.emf.edit.provider.ItemProviderDecorator
org.eclipse.emf.compare.provider.ExtendedItemProviderDecorator

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`, `IChangeNotifier`, `IDisposable`, `IItemProviderDecorator`, `INotifyChangedListener`

public class ExtendedItemProviderDecorator extends ItemProviderDecorator implements Adapter.Internal
And extended `ItemProviderDecorator` that provides an `OverlayImageProvider` and and `ExtendedAdapterFactoryItemDelegator`.

Since:
  4.0

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Field Summary

### Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderDecorator

`adapterFactory, changeNotifier, decoratedItemProvider`

## Constructor Summary

Constructors
Constructor
Description
`ExtendedItemProviderDecorator(ComposeableAdapterFactory adapterFactory)`
An instance is created from an adapter factory.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`protected ExtendedAdapterFactoryItemDelegator`
`getItemDelegator()`
Returns the itemDelegator.
`protected OverlayImageProvider`
`getOverlayProvider()`
Returns the overlay provider.
`Notifier`
`getTarget()`
`void`
`setTarget(Notifier newTarget)`
`void`
`unsetTarget(Notifier oldTarget)`

### Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderDecorator

`addListener, createCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getChildren, getColumnImage, getColumnText, getDecoratedItemProvider, getEditableValue, getElements, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyDescriptors, getText, getUpdateableText, hasChildren, isAdapterForType, notifyChanged, removeListener, setDecoratedItemProvider, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`isAdapterForType, notifyChanged`

## Constructor Details

### ExtendedItemProviderDecorator

public ExtendedItemProviderDecorator(ComposeableAdapterFactory adapterFactory)
An instance is created from an adapter factory. The factory is used as a key so that we always know which factory created this adapter.

Parameters:
  `adapterFactory` - the adapter factory to use to adapt.

## Method Details

### getOverlayProvider

protected OverlayImageProvider getOverlayProvider()
Returns the overlay provider.

Returns:
  the overlayProvider

### getItemDelegator

protected ExtendedAdapterFactoryItemDelegator getItemDelegator()
Returns the itemDelegator.

Returns:
  the itemDelegator

### getTarget

public Notifier getTarget()

Specified by:
  `getTarget` in interface `Adapter`
See Also:
  - `Adapter.getTarget()`

### setTarget

public void setTarget(Notifier newTarget)

Specified by:
  `setTarget` in interface `Adapter`
See Also:
  - `Adapter.setTarget(org.eclipse.emf.common.notify.Notifier)`

### unsetTarget

public void unsetTarget(Notifier oldTarget)

Specified by:
  `unsetTarget` in interface `Adapter.Internal`
See Also:
  - `Adapter.Internal.unsetTarget(org.eclipse.emf.common.notify.Notifier)`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IDisposable`
Overrides:
  `dispose` in class `ItemProviderDecorator`
See Also:
  - `ItemProviderDecorator.dispose()`